@echo off

echo Install the Realtek drivers for the Ethernet connector.
echo Drivers are available on the USB flash drive provided with the CAV 4.2.&echo(
pause

echo(
echo Insert the Realtek USB to Ethernet adapter into any available&echo(computer USB port.&echo(
pause

echo(
start "" /B /WAIT control netconnections

start "" /B /WAIT cmd /c "echo Rename the Realtek connector to &echo USB to Ethernet&echo(&pause"

netsh interface ip set address name="USB to Ethernet" static 10.0.1.2 255.255.255.0 10.0.1.1 100 

echo(
IF %ERRORLEVEL% EQU 0 echo Network configuration is complete.
IF %ERRORLEVEL% NEQ 0 echo Network configuration failed. Verify that the Realtek adapter is installed&echo(and properly named 'USB to Ethernet'. Rerun this batch script.
echo(
pause

echo(
netsh advfirewall firewall delete rule name="Viscpro_IN"
netsh advfirewall firewall add rule name="Viscpro_IN" dir=in localport=1982 protocol=TCP action=allow
echo(
netsh advfirewall firewall delete rule name="Viscpro_IN"
netsh advfirewall firewall add rule name="Viscpro_IN" dir=in localport=1982 protocol=TCP action=allow

netsh advfirewall firewall delete rule name="Viscpro_OUT"
netsh advfirewall firewall add rule name="Viscpro_OUT" dir=out remoteport=1982 protocol=TCP action=allow

netsh advfirewall firewall delete rule name="Ping In"
netsh advfirewall firewall add rule name="Ping In" dir=in protocol=ICMPv4:8,any action=allow

netsh advfirewall firewall delete rule name="Ping Out"
netsh advfirewall firewall add rule name="Ping Out" dir=out protocol=ICMPv4:8,any action=allow
pause
